%global appname compton

Name:           %{appname}-ng
Version:        7.4
Release:        1%{?dist}
Summary:        Compositor for X11, active fork

License:        MPLv2.0 and MIT
URL:            https://github.com/yshui/compton
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  asciidoc
BuildRequires:  desktop-file-utils
BuildRequires:  gcc
BuildRequires:  libev-devel
BuildRequires:  meson
BuildRequires:  uthash-devel
BuildRequires:  pkgconfig(dbus-1)
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(libconfig)
BuildRequires:  pkgconfig(libpcre)
BuildRequires:  pkgconfig(libxdg-basedir)
BuildRequires:  pkgconfig(pixman-1)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xcb-composite)
BuildRequires:  pkgconfig(xcb-damage)
BuildRequires:  pkgconfig(xcb-image)
BuildRequires:  pkgconfig(xcb-present)
BuildRequires:  pkgconfig(xcb-randr)
BuildRequires:  pkgconfig(xcb-render)
BuildRequires:  pkgconfig(xcb-renderutil)
BuildRequires:  pkgconfig(xcb-shape)
BuildRequires:  pkgconfig(xcb-xfixes)
BuildRequires:  pkgconfig(xcb-xinerama)
BuildRequires:  pkgconfig(xcb)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xproto)
Requires:       hicolor-icon-theme
Conflicts:      compton

%description
This is forked from the original Compton because that seems to have become
unmaintained.

The current battle plan of this fork is to refactor it to make the code
possible to maintain, so potential contributors won't be scared away when they
take a look at the code.

We also try to fix bugs.


%prep
%autosetup -p1 -n %{appname}-%{version}


%build
%meson -Dbuild_docs=true
%meson_build


%install
%meson_install
install -Dpm0644 %{appname}.sample.conf %{buildroot}%{_sysconfdir}/xdg/%{appname}.conf


%check
%meson_test
desktop-file-validate %{buildroot}%{_datadir}/applications/%{appname}.desktop


%files
%license COPYING LICENSES/MPL-2.0 LICENSES/MIT
%doc README.md CONTRIBUTORS
%{_bindir}/%{appname}*
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/*/*/*.png
%{_datadir}/icons/hicolor/*/*/*.svg
%{_mandir}/man1/*.1.*
%{_sysconfdir}/xdg/%{appname}.conf


%changelog
* Sat Sep 21 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 7.4-1
- Update to 7.4
- Drop git submodule, now vendored with release tarball

* Tue Aug 13 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 7.2-2
- Update to 7.2
- Packaging fixes
- Disable LTO

* Tue Aug 06 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 7.1-5
- Initial package
